CLASSES(1)

NAME
classes - GNUstep Base ABI compliance checker

SYNOPSIS
classes

DESCRIPTION

This program is intended for checking ABI compliance between different GNUstep Base releases. It is run without arguments, and produces a NewClasses.plist file, containing a dictionary with all of the classes and their class/instance methods. This file should be renamed to OldClasses.plist and classes will compare the results when it is run with the newer version of the library.

OPTIONS
classes does not support any command-line options except the standard GNUstep ones.

SEE ALSO
GNUstep(7).

AUTHORS
classes was written by Richard Frith-Macdonald <rfm@gnu.org>.

This manual page was written by Yavor Doganov <yavor@gnu.org> for the Debian distribution because the original program does not have one.

COPYING
© 2025 Free Software Foundation, Inc.

Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.